<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

/**
 * @property integer $product_id
 * @property integer $category_id
 * @property Category $category
 * @property Product $product
 */
class ProductCategory extends Model
{
    /**
     * @var array
     */
    protected $fillable = ['product_id', 'category_id'];

    public $timestamps = false;

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function category()
    {
        return $this->belongsTo('App\Category');
    }

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function product()
    {
        return $this->belongsTo('App\Product');
    }
}
